/**
 **
 ** MultipleExtensionsFileFilter.java - File filter accepting multiple filename extensions
 **
 ** Copyright (C) 2024 Elphel, Inc.
 **
 ** -----------------------------------------------------------------------------**
 **
 **  MultipleExtensionsFileFilter.java is free software: you can redistribute it and/or modify
 **  it under the terms of the GNU General Public License as published by
 **  the Free Software Foundation, either version 3 of the License, or
 **  (at your option) any later version.
 **
 **  This program is distributed in the hope that it will be useful,
 **  but WITHOUT ANY WARRANTY; without even the implied warranty of
 **  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 **  GNU General Public License for more details.
 **
 **  You should have received a copy of the GNU General Public License
 **  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ** -----------------------------------------------------------------------------**
 **
 */
package com.elphel.imagej.correction;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class MultipleExtensionsFileFilter extends FileFilter {
	protected String[] patterns;
	protected String description = "JP4 files";

	public MultipleExtensionsFileFilter(String[] patterns, String description) {
		this.description = description;
		this.patterns = patterns.clone();
	}

	public MultipleExtensionsFileFilter(String[] patterns) {
		this.patterns = patterns.clone();
	}

	@Override
	public boolean accept(File file) {
		int i;
		String name = file.getName();
		if (file.isDirectory())
			return true;
		for (i = 0; i < patterns.length; i++) {
			if (name.toLowerCase().endsWith(patterns[i].toLowerCase()))
				return true;
		}
		return false;
	}

	@Override
	public String getDescription() {
		return description;
	}
}

